= kmc_tools-intersect(1)

== NAME

kmc_tools-intersect - calculate intersection of two KMC databases

== SYNOPSIS

*kmc_tools intersect* <input1 [input1_params]> <input2 [input2_params]> <output [output_params]>

== DESCRIPTION

The output database will contain only k-mers that are present in both input sets. The counter value in the output database is equal to the lower counter value in the input.

== OPTIONS

For each input there are additional parameters:

  *-ci<value>*::
    exclude k-mers occurring less than <value> times
  *-cx<value>*::
    exclude k-mers occurring more of than <value> times

For output there are additional parameters:

  *-ci<value>*::
    exclude k-mers occurring less than <value> times
  *-cx<value>*::
    exclude k-mers occurring more of than <value> times
  *-cs<value>*::
    maximal value of a counter

== EXAMPLE

    kmc -k28 file1.fastq kmers1 tmp
    kmc -k28 file2.fastq kmers2 tmp
    kmc_tools intersect kmers1 -ci10 -cx200 kmers2 -ci4 -cx100 kmers1_kmers2_intersect -ci20 -cx150

== AUTHOR

KMC was originally written by:

 - Sebastian Deorowicz (sebastian.deorowicz@polsl.pl)

 - Marek Kokot

 - Szymon Grabowski

 - Agnieszka Debudaj-Grabysz

== COPYING

KMC is a free software distributed under GNU GPL3 licence for academic,
research, and commercial use.
